add python3 support

Bug #1001657 reported by Jamie Strandboge on 2012-05-19
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
ufw (Ubuntu)
High
Jamie Strandboge
Quantal
High
Jamie Strandboge

Bug Description

The desktop image will only have python3 on it. For ufw to be installed on the desktop images, it must have python3 support.

Related branches

Changed in ufw (Ubuntu):
milestone: quantal-alpha-1 → quantal-alpha-2
Changed in ufw (Ubuntu Quantal):
milestone: quantal-alpha-2 → quantal-alpha-3
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ufw - 0.32-0ubuntu1

---------------
ufw (0.32-0ubuntu1) quantal; urgency=low

  * New upstream release featuring Python 3 port (LP: #1001657)
  * debian/control:
    - clean up Depends and Build-Depends
    - Build-Depends on python3
    - add python-ufw for installing python2 modules
    - add X-Python3-Version: >= 3.2
    - update Vcs-Bzr
  * add debian/python-ufw.install
  * debian/rules:
    - use --install-layout=deb
    - adjust PYTHON to use python3
    - adjust PYVERS to use py3versions
    - add PYTHON2
    - run tests for both PYTHON and PYTHON2
    - run setup.py with both PYTHON and PYTHON2
    - use dh_python3 for ufw
    - use dh_python2 for python-ufw
  * debian/ufw.lintian-overrides
    - remove old unneeded override
    - add postrm-does-not-call-updaterc.d-for-init.d-script since Ubuntu's
      debhelper adds code to postinst that does nothing on Ubuntu, but doesn't
      add the corresponding code to postrm
 -- Jamie Strandboge <email address hidden> Fri, 06 Jul 2012 11:44:48 -0500

Changed in ufw (Ubuntu Quantal):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers